algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Complex.Class

# Documentation

class Distinguished r => Complicated r where Source

Methods

i :: rSource

Instances

Complicated ComplexBasis |
Complicated QuaternionBasis |
Complicated QuaternionBasis' |
Complicated TrigBasis |
Rig r => Complicated (Complex r) |
Rig r => Complicated (Quaternion r) |
Rig r => Complicated (Quaternion' r) |
Rig r => Complicated (Trig r) |
Rig r => Complicated (ComplexBasis -> r) |
Rig r => Complicated (QuaternionBasis -> r) |
Rig r => Complicated (QuaternionBasis' -> r) |
Rig r => Complicated (TrigBasis -> r) |
Rig r => Complicated (:->: ComplexBasis r) |
Rig r => Complicated (:->: QuaternionBasis r) |
Rig r => Complicated (:->: QuaternionBasis' r) |
Rig r => Complicated (:->: TrigBasis r) |
Complicated a => Complicated (Covector r a) |